function [T,P] = exfdt_mimo(u,y,p,AR,MA,bias,nfft,solap)
% [T,P] = exfdt_mimo(u,y,p,AR,MA,bias,nfft,solap)

N = size(u,2);


ny = 1:AR;
nu = 0:MA;
Ru = size(u,1);
Ry = size(y,1);


nsolap = floor(nfft*solap);


idx = reforma(1:N,nsolap,nfft);


T.nu = nu;
T.ny = ny;
T.Ru = Ru;
T.Ry = Ry;

for k = 1:size(idx,2)
    idxcol = idx(:,k);
    uu = u(:,idxcol);
    yy = y(:,idxcol);
    [T.Mcell{k},T.rmse(k)] = mloc_glo(yy,uu,ny,nu,bias);
    P(:,k) = mean(p(:,idxcol),2);
end

% T = mloc_tf(T);
    


disp('Hecho.');