function C = floyd(A);
% FLOYD floyd algorithm
%
%      C = floyd(A);
%

%   Copyright (c) 2007, by 
%   Grupo de Supervisin y Diagnstico de Procesos Industriales
%   Area de Ingeniera de Sistemas y Automtica
%   Universidad de Oviedo
%   Contributed files may contain copyrights of their own.
%   
%   UniOviSOM toolbox is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
% 
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
% 
%   You should have received a copy of the GNU General Public License
%   along with this program; if not, write to the Free Software
%   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

n = size(A,1);


% for k = 1:n
%     for i = 1:n
%         for j = 1:n
%             A(i,j) = min([A(i,j), A(i,k)+A(k,j)]);
%         end
%     end
%     k, A, pause;
% end
% C = A;


disp('Floyd''s Algorithm');
for k = 1:n
    if ~rem(k,ceil(n/10))
        disp(['Iteration ' num2str(k) ' of ' num2str(n)]);
    end
    B = ones(n,1)*A(k,:) + A(:,k)*ones(1,n);
    A(:) = min([A(:)';B(:)'])';
end
C = A;




