function graph(p,dis)
% GRAPH draws a graph of nodes with links (like SOM lattice)
%

%   Copyright (c) 2007, by 
%   Grupo de Supervisin y Diagnstico de Procesos Industriales
%   Area de Ingeniera de Sistemas y Automtica
%   Universidad de Oviedo
%   Contributed files may contain copyrights of their own.
%   
%   UniOviSOM toolbox is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
% 
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
% 
%   You should have received a copy of the GNU General Public License
%   along with this program; if not, write to the Free Software
%   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


[i,j]=find(~isinf(dis));



plotp(p); hold on;
for k = 1:length(i);
    if size(p,1)==2
        plot(p(1,[i(k) j(k)]),p(2,[i(k) j(k)])); 
    else
        plot3(p(1,[i(k) j(k)]),p(2,[i(k) j(k)]),p(3,[i(k) j(k)])); 
    end
end
hold off;