function mloc_freqmaps(mloc,th)
% mloc_freqmaps(mloc,th)



for k = 1:length(mloc.G),
    for j = 1:length(th)
        g = 20*log10(abs(freqresp(mloc.G{k},th(j)))),
        [u,s,v] = svd(g),
        f = 20*log10(abs(diag(s))),
        F(j,k) = f(:);
    end
end

A = mloc.A;
b = mloc.b;
W = mloc.som.w';

planes(mloc.som.pos,[F;norpca(W,A,b,1)]);

    
    