function som = somtrn(yi,xi,dims,epochs,Nc,names)
%        som = somtrn(yi,xi,dims,epochs,Nc,names)
%

%   Copyright (c) 2007, by 
%   Grupo de Supervisin y Diagnstico de Procesos Industriales
%   Area de Ingeniera de Sistemas y Automtica
%   Universidad de Oviedo
%   Contributed files may contain copyrights of their own.
%   
%   UniOviSOM toolbox is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
% 
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
% 
%   You should have received a copy of the GNU General Public License
%   along with this program; if not, write to the Free Software
%   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

nx  = size(xi,2);
ny  = size(yi,2);
lx = size(xi,1);
ly = size(yi,1);

p = [xi;yi];
[pn,pnpar] = normalize_data('std',p);

som = inisom(pn,dims,names);
som.varin  = 1:lx;
som.varout = lx+1:lx+ly;
som.norm = {pnpar.meanx,pnpar.stdx};

som = bsom(pn,som,epochs,Nc);





